<?php

namespace App\Jobs;

use App\Models\Trace as Tr;
use Illuminate\Bus\Queueable;
use Illuminate\Queue\SerializesModels;
use Illuminate\Queue\InteractsWithQueue;
use Illuminate\Contracts\Queue\ShouldQueue;
use Illuminate\Foundation\Bus\Dispatchable;
use Illuminate\Support\Facades\Log;

class Trace implements ShouldQueue
{
    use Dispatchable, InteractsWithQueue, Queueable, SerializesModels;

    /**
     * Create a new job instance.
     *
     * @return void
     */
    protected $message;
//    public  $timeout=60;

    public function __construct($message)
    {
        $this->message=$message;
    }

    /**
     * Execute the job.
     *
     * @return void
     */
    public function handle()
    {
        $message=$this->message;
        $grade=$message['grade'];
        $num=$message['num'];
        $pid1=Tr::add_code(0,$grade,$num);
        if($grade>=2){
            for($j=0;$j<$num['num2'];$j++){
                $pid2=Tr::add_code($pid1,$grade,$num);
                if($grade>=3){
                    for($z=0;$z<$num['num3'];$z++){
                        $pid3=Tr::add_code($pid2,$grade,$num);
                        if($grade>=4){
                            for($k=0;$k<$num['num4'];$k++){
                                $pid4=Tr::add_code($pid3,$grade,$num);
                                if($grade>=5){
                                    for($l=0;$l<$num['num5'];$l++){
                                        $pid5=Tr::add_code($pid4,$grade,$num);
                                    }
                                }
                            }
                        }
                    }
                }
            }
        }
    }

}
