<?php

namespace Modules\Service\Listeners;

use App\Models\UserZ;
use Modules\Service\Events\ChangeUserInfo;
use App\Models\Warea;
use App\Models\Service;
use Illuminate\Support\Facades\Log;
use Illuminate\Queue\InteractsWithQueue;
use Illuminate\Contracts\Queue\ShouldQueue;

class  ChangeUserInfoListener
{
    /**
     * Create the event listener.
     *
     * @return void
     */
    public function __construct()
    {
        //
    }

    /**
     * Handle the event.
     *
     * @param  ChangeUserInfo  $event
     * @return void
     */
    public function handle(ChangeUserInfo $event)
    {
        Log::info('-----修改代理信息---'.$event->user->nickname.'--------'.date("Y-m-d H:i:s"));
        $user=$event->user;
        UserZ::where('phone',$user->before)->where('level_name','!=','政委')->update(['phone'=>$user->mobile,'name'=>$user->realname,'nickname'=>$user->nickname]);
        if($user->level==3){
            UserZ::where('up_phone',$user->before)->where('level_name','!=','政委')->update(['up_phone'=>$user->mobile,'up_name'=>$user->nickname]);
            Service::where('phone',$user->before)->update(['phone'=>$user->mobile]);
        }

//        $war_names=Warea::where('id',$user->warea_id)->value('name');
//        if($user->level==1){
//            $level_name='销售主管';
//            $up_id=User::where('id',$user->agent_id)->value('id');
//            $up=User::where('id',$up_id)->select('nickname','mobile as phone')->first();
//        }elseif($user->level==2){
//            $level_name='销售经理';
//            $up=User::where('id',$user->agent_id)->select('nickname','mobile as phone')->first();
//        }else{
//            $level_name='代理公司';
//            $service_id=Service::where('phone',$user->mobile)->value('id');
//            $up=UserZ::where('id',$service_id)->select('nickname','phone')->first();//政委手机号，昵称
//
//            UserZ::where('up_phone',$user->mobile)->update(['war_names'=>$war_names]);
//        }
//
//        UserZ::where('phone',$user->mobile)->update([
//            'name'=>$user->realname,
//            'nickname'=>$user->nickname,
//            'level_name'=>$level_name,
//            'up_phone'=>$up->phone,
//            'up_name'=>$up->nickname,
//            'status'=>$user->status,
//            'war_names'=>$war_names,
//        ]);
    }


}
