<?php

namespace App\Http\Controllers;

use App\Models\Activity;
use App\Models\ActivityLimit;
use Illuminate\Http\Request;

class ActivityController extends Controller
{
    //获取活动列表
    public function getActivityInfo()
    {
        $list = Activity::where('disabled', 0)->get();
        if ($list) {
            return $this->success($list);
        }
        return $this->error();
    }

    public function GetActivityLimit(Request $request){
        $input=$request->all();
        $activity_id=$input['activity_id'];
        $re=ActivityLimit::where('activity_id',$activity_id)->where('title','like','%大礼包%')->get();
        $data=[];
        foreach ($re as $k=>$v){
            $data[$k]['account']=$v->account;
            $data[$k]['title']=$v->title;
        }
        return $this->success($data);
    }
}
