<?php

namespace App\Http\Controllers;

use App\Models\Activity;
use App\Models\Express;
use App\Models\Goodtest;
use App\Models\Orderdetail;
use App\Models\Ordertest;
use Illuminate\Http\Request;

class ExpressController extends Controller
{
    /* 快递公司简称 */
    public function GetExpressInfo(){
        $express_name=['顺丰速运', '百世快递', '中通快递', '申通快递', '圆通速递', '韵达速递', '邮政快递包裹', 'EMS', '京东快递', '优速快递', '德邦快递', '极兔速递', '众邮快递', '宅急送'];
        $express_code=['SF', 'HTKY', 'ZTO', 'STO', 'YTO', 'YD', 'YZPY', 'EMS', 'JD', 'UC', 'DBL', 'JTSD', 'ZYE', 'ZJS'];
        $data=[];
        foreach ($express_name as $k=>$v){
            $data[$express_code[$k]]=$v;
        }
        return $this->success($data);
    }

    public function GetExpress(Request $request){
        $active=Activity::find($request->activity_id);
        $order_ids=Ordertest::where('is_deleted',0)->whereBetween('created_at',[$active->start_time,$active->end_time])->whereNull('store_id')->pluck('id');
        $data=Express::whereIn('order_id',$order_ids)->where('is_gift',0)->get();
        $type_1=['order_num'=>0,'num'=>0,'size'=>[],'order_size'=>[],'goods_name'=>''];
        $type_2=['order_num'=>0,'num'=>0,'size'=>[],'order_size'=>[],'goods_name'=>''];
        $type_3=['order_num'=>0,'num'=>0,'size'=>[],'order_size'=>[],'goods_name'=>''];
        $type_4=['order_num'=>0,'num'=>0,'size'=>[],'order_size'=>[],'goods_name'=>''];
        $type_5=['order_num'=>0,'num'=>0,'size'=>[],'order_size'=>[],'goods_name'=>''];
//        foreach ($data as $k=>$v){
//            $arr=explode('+',$v->note);
//            foreach ($arr as $ka=>$va){
//                $arrs=explode(':',$va);
//                if (mb_substr($arrs[0],0,1)=='女'){
//                    $sex='女款-';
//                    $str_count=substr_count(mb_substr($arrs[0],1),'X');
//                    if ($str_count>=2){
//                        $size=$str_count.'XL';
//                    }else{
//                        $size=mb_substr($arrs[0],1);
//                    }
//                }else{
//                    $sex='男款-';
//                    $str_count=substr_count($arrs[0],'X');
//                    if ($str_count>=2){
//                        $size=$str_count.'XL';
//                    }else{
//                        $size=$arrs[0];
//                    }
//                }
//                if (mb_strlen($arrs[1])<4){
//                    if (mb_substr($arrs[1],-1)=='精'){
//                        $num=mb_substr($arrs[1],0,-1);
//                        if (isset($type_1['size'][$sex.$size])){
//                            $type_1['size'][$sex.$size]+=$num;
//                        }else{
//                            $type_1['size'][$sex.$size]=$num;
//                        }
//                        $type_1['num']+=$num;
//                    }elseif (mb_substr($arrs[1],-1)=='简'){
//                        $num=mb_substr($arrs[1],0,-1);
//                        if (isset($type_2['size'][$sex.$size])){
//                            $type_2['size'][$sex.$size]+=$num;
//                        }else{
//                            $type_2['size'][$sex.$size]=$num;
//                        }
//                        $type_2['num']+=$num;
//                    }elseif (mb_substr($arrs[1],-1)=='老'){
//                        $num=mb_substr($arrs[1],0,-1);
//                        if (isset($type_3['size'][$sex.$size])){
//                            $type_3['size'][$sex.$size]+=$num;
//                        }else{
//                            $type_3['size'][$sex.$size]=$num;
//                        }
//                        $type_3['num']+=$num;
//                    }
//                }else{
//                    $arrr=[
//                        ['type'=>mb_substr($arrs[1],1,1),'num'=>mb_substr($arrs[1],0,1)],
//                        ['type'=>mb_substr($arrs[1],3,1),'num'=>mb_substr($arrs[1],2,1)]
//                    ];
//                    foreach ($arrr as $kes=>$vas){
//                        if ($vas['type']=='简'){
//                            if (isset($type_2['size'][$sex.$size])){
//                                $type_2['size'][$sex.$size]+=$vas['num'];
//                            }else{
//                                $type_2['size'][$sex.$size]=$vas['num'];
//                            }
//                            $type_2['num']+=$vas['num'];
//                        }else{
//                            if (isset($type_3['size'][$sex.$size])){
//                                $type_3['size'][$sex.$size]+=$vas['num'];
//                            }else{
//                                $type_3['size'][$sex.$size]=$vas['num'];
//                            }
//                            $type_3['num']+=$vas['num'];
//                        }
//                    }
//                }
//
//
//            }
//        }

        foreach ($data as $k=>$v){
            $arr=json_decode($v->notes);
            foreach ($arr as $ke=>$va){
                $str_count=substr_count($va->size,'X');
                if ($str_count>=2){
                    $size=$str_count.'XL';
                }else{
                    $size=$va->size;
                }
                if ($va->ku=='2'){
                    $type_3['num']+=$va->num;
                    if (isset($type_3['size'][$va->sex.'-'.$size])){
                        $type_3['size'][$va->sex.'-'.$size]+=$va->num;
                    }else{
                        $type_3['size'][$va->sex.'-'.$size]=$va->num;
                    }

                }
                if ($va->ku==0){
                    $type_1['num']+=$va->num;
                    if (isset($type_1['size'][$va->sex.'-'.$size])){
                        $type_1['size'][$va->sex.'-'.$size]+=$va->num;
                    }else{
                        $type_1['size'][$va->sex.'-'.$size]=$va->num;
                    }
                }
                if ($va->ku==4){
                    $type_5['num']+=$va->num;
                    if (isset($type_5['size'][$va->sex.'-'.$size])){
                        $type_5['size'][$va->sex.'-'.$size]+=$va->num;
                    }else{
                        $type_5['size'][$va->sex.'-'.$size]=$va->num;
                    }
                }
            }


        }
        $size_type1=[];
        $size_type2=[];
        $size_type3=[];
        $size_type4=[];
        $size_type5=[];

        $datas=Orderdetail::whereIn('order_id',$order_ids)->where('goods_name','<>','大卫博士精装版（无缝女款）')->groupBy('goods_name')->get();
        foreach ($datas as $k=>$v){
            $type=[];

            $re=Orderdetail::whereIn('order_id',$order_ids)->where('goods_name',$v->goods_name)->whereNotIn('id',[106,107])->groupBy('goods_id')->get();
            foreach ($re as $ke=>$va){
                $num=Orderdetail::whereIn('order_id',$order_ids)->where('goods_id',$va->goods_id)->sum('num');
                $str_count=substr_count($va->goods_size,'X');
                if ($str_count>=2){
                    $size=mb_substr($va->goods_size,0,3).$str_count.'XL';
                }else{
                    $size=$va->goods_size;
                }
                $type[$size]=['num'=>$num,'name'=>$v->goods_name,'goods_id'=>$v->goods_id];
            }

            if (substr_count($v->goods_name,'精')){
                $size_type1=$type;
            }
            if (substr_count($v->goods_name,'高')){
                $size_type3=$type;
            }
            if (substr_count($v->goods_name,'青')){
                $size_type5=$type;
            }
        }
        $all=[];
        foreach ($type_1['size'] as $k=>$v){
            if (isset($size_type1[$k])){
                $type_1['order_num']+=$size_type1[$k]['num'];
                $type_1['order_size'][$k]=$size_type1[$k]['num'];
                $type_1['goods_name']=$size_type1[$k]['name'];
                $all[0]['num']=$type_1['num'];
                $all[0]['order_num']=$type_1['order_num'];
                $all[0]['list'][]=['size'=>$k,'num'=>$v,'order_num'=>$size_type1[$k]['num']];
                $all[0]['title']=$size_type1[$k]['name'];
                $all[0]['price']=Goodtest::where('id',$size_type1[$k]['goods_id'])->value('money');
            }
        }

        foreach ($type_3['size'] as $k=>$v){
            if (isset($size_type3[$k])){
                $type_3['order_num']+=$size_type3[$k]['num'];
                $type_3['order_size'][$k]=$size_type3[$k]['num'];
                $type_3['goods_name']=$size_type3[$k]['name'];
                $all[1]['num']=$type_3['num'];
                $all[1]['title']=$size_type3[$k]['name'];
                $all[1]['order_num']=$type_3['order_num'];
                $all[1]['list'][]=['size'=>$k,'num'=>$v,'order_num'=>$size_type3[$k]['num']];
                $all[1]['price']=Goodtest::where('id',$size_type3[$k]['goods_id'])->value('money');
            }
        }

        foreach ($type_5['size'] as $k=>$v){
            if (isset($size_type5[$k])){
                $type_5['order_num']+=$size_type5[$k]['num'];
                $type_5['order_size'][$k]=$size_type5[$k]['num'];
                $type_5['goods_name']=$size_type5[$k]['name'];
                $all[2]['num']=$type_5['num'];
                $all[2]['title']=$size_type5[$k]['name'];
                $all[2]['order_num']=$type_5['order_num'];
                $all[2]['list'][]=['size'=>$k,'num'=>$v,'order_num'=>$size_type5[$k]['num']];
                $all[2]['price']=Goodtest::where('id',$size_type5[$k]['goods_id'])->value('money');
            }
        }
        return $this->success($all);
    }
}
