<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Model;
use Illuminate\Database\Eloquent\SoftDeletes;

class ApplyUser extends Model
{
    protected $table='apply_user';

    public function GetUser(){
        return $this->belongsTo(User::class,'user_id')->withTrashed();
    }

    public function GetApplyUser(){
        return $this->belongsTo(User::class,'apply_user_id')->withTrashed();
    }

}
