<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Model;
use Illuminate\Database\Eloquent\SoftDeletes;

class Goods extends Model
{
    use SoftDeletes;

    protected $fillable = ['name','title','type','goodssn','status','tjprice','djprice','hgprice','is_specifica','total','banner_url','img_url','contents','shelved_at'];

    public function goodsspec()
    {
        return $this->hasMany('App\Models\GoodsSpec');
    }

    public function goodssku()
    {
        return $this->hasMany('App\Models\GoodsSku');
    }

    public function goodsskuprice()
    {
        return $this->hasMany('App\Models\GoodsSkuPrice');
    }
    public function ordergoods()
    {
        return $this->belongsTo('App\Models\OrderGoods');
    }
}
