<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Model;

class Question extends Model
{
    //定义表
    protected $table = "question";
    //定义主键
    protected $primaryKey = "id";
    protected $fillable = ['user_id','contents','status'];
    public $timestamps = false;
    public function user()
    {
        return $this->hasOne('App\Models\User','id','user_id');
    }
}
