<?php

namespace Modules\Manager\Listeners;

use App\Models\UserZ;
use Modules\Manager\Events\DeleteService;
use Illuminate\Queue\InteractsWithQueue;
use Illuminate\Contracts\Queue\ShouldQueue;

class DeleteServiceListener
{
    /**
     * Create the event listener.
     *
     * @return void
     */
    public function __construct()
    {
        //
    }

    /**
     * Handle the event.
     *
     * @param  DeleteService  $event
     * @return void
     */
    public function handle(DeleteService $event)
    {
        $service=$event->admin;
        UserZ::where('phone',$service->mobile)->where('level_name','=','政委')->delete();
    }
}
