<?php

namespace Modules\Service\Listeners;

use Modules\Service\Events\ShelvedAgent;
use App\Models\UserZ;
use Illuminate\Support\Facades\Log;

class ShelvedAgentListener
{
    /**
     * Create the event listener.
     *
     * @return void
     */
    public function __construct()
    {
        //
    }

    /**
     * Handle the event.
     *
     * @param  ShelvedAgent  $event
     * @return void
     */
    public function handle(ShelvedAgent $event)
    {
        $user=$event->user;
        Log::info('(((1231)))');
        if($user->status==1){
            UserZ::where('phone',$user->mobile)->where('level_name','!=','政委')->update(['status'=>1]);
        }else{
            UserZ::where('phone',$user->mobile)->where('level_name','!=','政委')->update(['status'=>0]);
        }

    }

}
