<?php

namespace App\Exports;
use Maatwebsite\Excel\Concerns\WithHeadings;
use Maatwebsite\Excel\Concerns\FromCollection;

class TraceTestExport implements FromCollection, WithHeadings
{
    private $headings;
    private $data;

    public function __construct($data,$headings)
    {
        $this->headings = $headings;
        $this->data = $data;
    }

    public function collection()
    {
        return collect($this->data);
    }

    public function headings(): array
    {  //表格列头标题  WithHeadings
        return $this->headings;
    }
}
