<?php

namespace App\Http\Controllers;

use App\Models\Admin;
use App\Models\Warea;
use Illuminate\Http\Request;

class WareaController extends Controller
{
    //获取全部战区信息
    public function getWareaListInfos(){
        $list=Warea::where('status',0)
            ->orderBy('id','desc')
            ->get();
        if(empty($list)){
            return $this->error('400002','没有获取到数据');
        }
        return $this->success($list);
    }

    //获取战区信息
    public function getWareaInfo(){
        $where=function($query){
            $query->whereIn('role_id',[23]);
        };
        $list=Admin::where($where)->where('status',1)->get();
        foreach($list as $key=>$val){
            $list[$key]->warea=Warea::where('admin_id',$val->id)->get();
        }
        return $this->success($list);
    }
}
