<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Model;
use Illuminate\Database\Eloquent\SoftDeletes;

class Address extends Model
{
    use SoftDeletes;
    protected $table='address';
    protected $fillable = ['user_id','username','mobile','address','province','city','town'];

    public function order()
    {
        return $this->hasMany('App\Models\Order');
    }
    public function belong_user(){
        return $this->belongsTo(User::class,'belong_id')->withTrashed();
    }
}
