<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Model;

class AgentOperationLog extends Model
{
    protected $table='agent_operation_log';
    protected $fillable = ['type','admin_id','admin_name','user_id','remark','log','img','apply_id'];
    public function user()
    {
        return $this->hasOne(User::class,'id','user_id')->withTrashed();
    }

    public function apply()
    {
        return $this->hasOne(ApplyUser::class,'id','apply_id');
    }
}
