<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Model;

class BigGiftApply extends Model{

    protected $table='big_gift_apply';

    protected $fillable=[
        'crown_id','user_id','order_id','gift_user_img_id','type','imgList','gift_money','activity_id'
    ];


    public function user(){
        return $this->hasOne(User::class,'id','user_id');
    }

    public function crown(){
        return $this->hasOne(User::class,'id','crown_id');
    }

    public function order(){
        return $this->hasOne(Ordertest::class,'id','order_id');
    }
}
