<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Model;

class ExpStoreAgent extends Model
{
    protected $table='experience_store_agent';

    protected $guarded=[];

    public function user()
    {
        return $this->belongsTo('App\Models\User','user_id')->withTrashed();
    }

    public function store()
    {
        return $this->belongsTo('App\Models\Store','store_id');
    }

}
