<?php

namespace App\Models\Experience;

use Illuminate\Database\Eloquent\Model;

class ExpStorageLog extends Model
{
    protected $table='exp_storage_log';
    protected $guarded=[];

    public function agent()
    {
        return $this->hasOne('App\Models\User','id','agent_id');
    }

    public function activity()
    {
        return $this->hasOne('App\Models\Activity','id','activity_id');
    }

}
