<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Model;

class GiftUserImg extends Model
{
    protected $table='gift_user_img';
    protected $guarded=[];

    public function user(){
        return $this->belongsTo(User::class,'user_id')->withTrashed();
    }

    public function apply(){
        return $this->hasOne(BigGiftApply::class,'gift_user_img_id');
    }
}
