<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Model;
use Illuminate\Database\Eloquent\SoftDeletes;

class GoodsSku extends Model
{
    use SoftDeletes;
    //定义表
    protected $table = "goods_sku";

    //定义主键
    protected $primaryKey = "id";

    protected $fillable = ['pid','goods_id','sku_path','title','is_show'];

    public $timestamps = false;

    public function goods()
    {
        return $this->belongsTo('App\Models\Goods');
    }
}
