<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Model;
use Illuminate\Database\Eloquent\SoftDeletes;

class GoodsSkuPrice extends Model
{
    use SoftDeletes;
    //定义表
    protected $table = "goods_sku_price";
    //定义主键
    protected $primaryKey = "id";
    protected $fillable = ['goods_id','sku_id','user_level','price','original_price'];
    public $timestamps = false;

    public function goods()
    {
        return $this->belongsTo('App\Models\Goods');
    }

}
