<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Model;

class OrderBreakup extends Model
{
    //定义表
    protected $table = "order_breakup";
    //定义主键
    protected $primaryKey = "id";
    protected $fillable = ['agent_id','user_id','ordersn','status'];
//    public $timestamps = false;
    public function orderbreakupgoods()
    {
        return $this->hasMany('App\Models\OrderBreakupGoods','breakup_id');
    }

    public function order()
    {
        return $this->belongsTo('App\Models\Order','ordersn','ordersn');
    }
    public function ordergoods()
    {
        return $this->hasMany('App\Models\OrderGoods','breakup_id','id');
    }

     public function user()
    {
        return $this->belongsTo('App\Models\User','user_id')->withTrashed();
    }
    public function agent()
    {
        return $this->belongsTo('App\Models\User','agent_id')->withTrashed();
    }
    public function sender()
    {
        return $this->belongsTo('App\Models\User','sender_id')->withTrashed();
    }
}
