<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Model;

class OrderBreakupGoods extends Model
{
    //定义表
    protected $table = "order_breakup_goods";
    //定义主键
    protected $primaryKey = "id";
    protected $fillable = ['breakup_id','goods_id','sku_id','num'];
    public function order()
    {
        return $this->belongsTo('App\Order');
    }
     public function user()
    {
        return $this->belongsTo('App\Models\User','user_id')->withTrashed();
    }
    public function agent()
    {
        return $this->belongsTo('App\Models\User','agent_id')->withTrashed();
    }
    public function send()
    {
        return $this->belongsTo('App\Models\User','sender_id')->withTrashed();
    }
}
