<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Model;

class SendGoodLog extends Model
{
    protected $fillable=[
        'op_name', 'op_phone', 'op_id', 'accept_name', 'accept_phone', 'accept_id', 'type', 'select_id','note','op_id'
    ];
    protected $table='sendgood_log';

    public function user(){
        return $this->hasOne(User::class,'id','accept_id');
    }
    public function before_user(){
        return $this->hasOne(User::class,'id','before_id');
    }

    public function code(){
        return $this->hasOne(Trace::class,'id','select_id');
    }
}
