<?php

namespace App\Models\Sharon;

use Illuminate\Database\Eloquent\SoftDeletes;
use Illuminate\Database\Eloquent\Model;
use DateTimeInterface;
use Carbon\Carbon;

class Image extends Model{

    use SoftDeletes;
    protected $connection = 'mysql_s';
    protected $table='image';
    protected $guarded=[];
    protected function serializeDate(DateTimeInterface $date): string
    {
        return $date->format('Y-m-d H:i:s');
    }

}
