<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Model;
//use Illuminate\Database\Eloquent\SoftDeletes;

class StoreUser extends Model
{
//    use SoftDeletes;
    protected $table='store_user';
    protected $fillable = ['user_id','user_mobile','store_id','equity_rate'];
    public function user()
    {
        return $this->belongsTo('App\Models\User','user_id');
    }
    public function getEquityRateAttribute($key)
    {
        $equity_rate=$this->attributes['equity_rate'];
        return preg_replace('/\.0+$/', '', $equity_rate);
    }
}
