<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Model;

class StudioOrder extends Model
{
    protected $table='studio_order';

    public function get_user(){
        return $this->belongsTo(User::class,'user_id');
    }

    public function get_address(){
        return $this->belongsTo(Address::class,'address_id');
    }
    public function get_order_detail(){
        return $this->hasMany(StudioOrderDetail::class,'id','order_id');
    }


    public function get_order_log(){
        return $this->hasMany(StudioOrderLog::class,'order_id','id');
    }
}
