<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Model;

class UserCert extends Model
{
    const UPDATED_AT = null;
    protected $table='user_cert';
    protected $fillable = ['user_id','recom_id','agent_id',
        'recom_audit','recom_audit_desc','recom_updated_at',
        'agent_audit','agent_audit_desc','agent_updated_at',
        'company_audit','company_audit_desc','company_updated_at',
        'notice_in_group_at','notice_remark'];
    public function user()
    {
        return $this->belongsTo('App\Models\User','user_id','id');
    }
}
