<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Model;
use Illuminate\Database\Eloquent\SoftDeletes;

class Warea extends Model
{
    use SoftDeletes;
    protected $table='warea';
    protected $fillable = ['name','admin_id','admin_name','contents','status','desc','phone'];

    public function admin()
    {
        return $this->hasOne('App\Models\Admin','id','admin_id');
    }
}
