<?php

use Illuminate\Http\Request;
use Illuminate\Support\Facades\Route;
//use Modules\Test\Http\Controllers\TestController;

/*
|--------------------------------------------------------------------------
| API Routes
|--------------------------------------------------------------------------
|
| Here is where you can register API routes for your application. These
| routes are loaded by the RouteServiceProvider within a group which
| is assigned the "api" middleware group. Enjoy building your API!
|
*/

//Route::middleware('auth:sanctum')->get('/user', function (Request $request) {
//    return $request->user();
//});
//Route::get('/', 'TestController@index');
//Route::get('/login', function (Request $request) {
//    return 'php is best';
//})->name('login');
//
//Route::group(['namespace'=>'Modules\Test\Http\Controllers',
//    'prefix'=>'test','throttle'=>1],function(){
//    Route::get('test/asd123', 'TestController@index');
//});

$api = app('Dingo\Api\Routing\Router');
$api->version('v1', function ($api) {
    $api->group(['namespace'=>'App\Http\Controllers'],function($api){
        /* 账户认证 */
        $api->group(['prefix' => 'admin'], function ($api) {
            $api->post('login', 'AuthController@login');
            $api->post('logout', 'AuthController@logout');
            $api->post('refresh', 'AuthController@refresh');
            $api->get('me', 'AuthController@me');
            $api->post('updatepassword', 'AuthController@updatePassword');
            $api->get('getcurrentadmin', 'AuthController@getCurrentAdmin');
        });

        /* 公用方法 */
        $api->get('warea/getwarealistinfos', 'WareaController@getWareaListInfos');
        $api->get('warea/getwareainfo', 'WareaController@getWareaInfo');
        $api->get('activity/getactivityinfo', 'ActivityController@getActivityInfo');
        $api->get('orders/GetActivityLimit', 'ActivityController@GetActivityLimit');
//        $api->get('express/GetExpressInfo','ExpressController@GetExpressInfo');
        $api->get('RefundGoods/GetExpressInfo','ExpressController@GetExpressInfo');
        $api->get('good/get_goods_attr','GoodsController@good/getGoodsAttr');

        $api->get('user/getuserlist', 'UserController@getUserList');
        $api->get('user/getuserdetails', 'UserController@getUserDetails');
        $api->get('user/GetNowHistory', 'UserController@GetNowHistory');
        $api->get('user/GetCreNum', 'UserController@GetCreNum');
//        $api->get('express/GetExpress','ExpressController@GetExpress');//发货统计
        $api->get('GetExpress','ExpressController@GetExpress');//发货统计
    });


    $api->group(['namespace'=>'Modules\Test\Http\Controllers',
        'prefix'=>'test','throttle'=>1],function ($api) {
        $api->get('test/asd123', 'TestController@index');
    });
});
